// Typography
.header {
    &-1 {
        font-weight: bold;
        font-size: 65px;
        line-height: 88px;
        letter-spacing: -1.5px;
    }

    &-2 {
        font-weight: bold;
        font-size: 40px;
        line-height: 48px;
        letter-spacing: -1.5px;
    }

    &-3 {
        font-weight: 600;
        font-size: 38px;
        line-height: 48px;
        letter-spacing: -1.5%;
    }

    &-4 {
        font-weight: 600;
        font-size: 32px;
        line-height: 40px;
        letter-spacing: -1.4%;
    }
}

.subtitle {
    &-1 {
        font-weight: 600;
        font-size: 24px;
        line-height: 32px;
    }

    &-2 {
        font-weight: 600;
        font-size: 20px;
        line-height: 30px;
    }

    &-3 {
        font-weight: 500;
        font-size: 20px;
        line-height: 32px;
    }

    &-4 {
        font-weight: 400;
        font-size: 20px;
        line-height: 32px;
    }
}

.p {
    &-1 {
        font-weight: 400;
        font-size: 16px;
        line-height: 24px;
    }

    &-2 {
        font-weight: 400;
        font-size: 14px;
        line-height: 20px;
    }

    &-3 {
        font-weight: 400;
        font-size: 12px;
        line-height: 16px;
    }

    &-4 {
        font-size: 22px;
    }

    &-5 {
        font-size: 20px;
    }
}

// Buttons 
%btn-shared {
    display: inline-block;
    border-radius: 3px;
    padding: 15px 25px;
    cursor: pointer;
}

.btn {

    &-primary {
        @extend %btn-shared;
        background-color: $primary-color;
        color: $white-color;
        border: none;
    }

    &-primary-small {
        @extend %btn-shared;
        background-color: $primary-color;
        color: $white-color;
        border: none;
        padding: 6px;
    }

    &-primary-outlined {
        @extend %btn-shared;
        padding: 5px;
        background-color: transparent;
        color: $primary-color;
        border: 1px solid $primary-color;
    }

    &-top {
        display: none;
        position: fixed;
        bottom: 20px;
        right: 30px;
        z-index: 99;
        border: none;
        outline: none;
        background-color: $primary-color;
        color: $white-color;
        cursor: pointer;
        padding: 10px 15px;
        border-radius: 5px;
    }

    &-play {
        background-color: $primary-color;
        border-radius: 50%;
        cursor: pointer;
    }
}

// Sections Container
.container {
    padding: 0 0 0 80px;
}

// Scrollbar
.scroll {
    overflow-x: scroll;
    overflow-y: hidden;
    touch-action: pan-x;
    white-space: nowrap;
    padding-bottom: 10px;
}

.scroll::-webkit-scrollbar {
    background: transparent;
    height: 6px;
    // display: unset;
    display: hide;
}

.scroll:hover::-webkit-scrollbar {
    display: unset;
}

.scroll::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background: rgb(244,27,59);
    background: linear-gradient(288deg, rgba(244,27,59,1) 0%, rgba(24,132,247,1) 40%, rgba(244,27,59,1) 100%);
}

//Sections Title 
.section-title {
    color: $white-color;
    padding: 80px 70px 30px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .see-all {
        display: flex;
        align-items: center;
        
        a {
            color: $white-color;
            display: inline-block;
        }
    }
}

// Text Overflow 
.txt-overflow {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

//
.item {
    display: inline-block;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 10px;
    color: $white-color;
}

